Subject: Re: bug#19993: 25.0.50; Unicode fonts defective on Windows

From: Eli Zaretskii <[email-masked]>
Date: Fri, 06 Mar 2015 16:00:27 +0200

> Date: Fri, 6 Mar 2015 03:38:04 -0800
> From: Ilya Zakharevich <[email-masked]>
> Cc: [email-masked]
> 
> Practically nothing “non-banal” is shown.  Let me try…  No U+1D49C,
> U+2099 ₙ, U+1D552, U+27e8 U+27e9 ⟨⟩ (just looking into my recent
> “real-life” file of notices).

U+2099, U+27e8, and U+27e9 are displayed here (I have the STIX fonts
installed, and they are used for that).  The rest indeed aren't.

Do you have fonts installed that cover these codepoints?

> > Also, it might help to understand how did you produce the font log,
> > and in particular with what argument, if any, did you invoke
> > font-show-log.
> 
> Just
>   M-x font-show-log
> after entering ℱ (by typing Shift-AltGr-Menu-F on my layouts).

It by default shows only 20 fonts, so perhaps Emacs searched more than
what it shows.  Invoking font-show-log with a negative argument will
cause it show all the fonts, without any limitations.